#!/bin/bash
# Install or update Helm plugins

# Preferred versions as set by ansible
helmdiff_version="{{ helmdiff_version }}"
helmsecrets_version="{{ helmsecrets_version }}"

# Install plugins if not exist
if [ ! -d ${HOME}/.local/share/helm/plugins/helm-diff ]; then
  mkdir -p ${HOME}/.local/share/helm/plugins/

  /usr/local/bin/helm plugin install https://github.com/databus23/helm-diff --version v$helmdiff_version
fi

if [ ! -d ${HOME}/.local/share/helm/plugins/helm-secrets ]; then
  mkdir -p ${HOME}/.local/share/helm/plugins/

  /usr/local/bin/helm plugin install https://github.com/jkroepke/helm-secrets --version v$helmsecrets_version
fi

# Remove and install new version if needed
if [ -d ${HOME}/.local/share/helm/plugins/helm-diff ]; then
  diff_installed=$(/usr/local/bin/helm plugin list | grep diff)
  if ! echo "$diff_installed" | grep $helmdiff_version > /dev/null; then
    echo "Installing new version of the helm diff plugin..."
    rm -rf ${HOME}/.local/share/helm/plugins/helm-diff
    /usr/local/bin/helm plugin install https://github.com/databus23/helm-diff --version v$helmdiff_version
  fi
fi

if [ -d ${HOME}/.local/share/helm/plugins/helm-secrets ]; then
  secrets_installed=$(/usr/local/bin/helm plugin list | grep secrets)
  if ! echo "$secrets_installed" | grep $helmsecrets_version > /dev/null; then
    echo "Installing new version of the helm secrets plugin..."
    rm -rf ${HOME}/.local/share/helm/plugins/helm-secrets
    /usr/local/bin/helm plugin install https://github.com/jkroepke/helm-secrets --version v$helmsecrets_version
  fi
fi
